package net.wanji.opt.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author duanruiming
 * @date 2024/12/02 13:47
 */
@Data
@ApiModel(value = "绿波带历史流量停车次数")
public class GreenBeltFlowStopTimeVO {
    @ApiModelProperty("时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "HH:mm", timezone = "GMT+8")
    private Date startTime;
    @ApiModelProperty("流量停车次数列表")
    private List<FlowStopTimeDetail> detailList;

    @Data
    public static class FlowStopTimeDetail {
        @ApiModelProperty("路口编号")
        private String crossId;
        @ApiModelProperty("流量")
        private Integer flow;
        @ApiModelProperty("停车次数")
        private Double stopTimes;
        @ApiModelProperty("行程时间")
        private Double travelTime;
    }
}
